<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class IssueChecklistTemplate extends Model
{
    use SoftDeletes;

    protected $fillable = ['project_id', 'name', 'items'];

    protected $casts = ['items' => 'array'];

    public function project()
    {
        return $this->belongsTo(Project::class);
    }
}
